<template>
    <section id="demos" class="anchor_tags relative pb-5">
        <div class="timeline">
            <div class="timeline-item left">
                <div class="content first-content">
                    <h6 class="text-secondary pb-3">2021</h6>
                    <h4>Nesto Software</h4>
                    <p class="my-2">Comprehensive platform for digital solutions</p>
                    <p class="mb-4">services and consulting</p>
                    <a rel="noreferrer" href="https://nesto-software.de/en" target="_blank">See more</a>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/nesto.png')" />
                </div>
            </div>
            <div class="timeline-item right">
                <div class="content second-content">
                    <h6 class="text-secondary pb-3">2020</h6>
                    <h4>Swiss Mountain Aid</h4>
                    <p class="my-2">Work of a charitable organization dedicated</p>
                    <p class="mb-4">to supporting mountain regions and communities</p>
                    <a rel="noreferrer" href="https://expertenbericht.ch/" target="_blank">See more</a>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/experten.png')" />
                </div>
            </div>
            <div class="timeline-item left">
                <div class="content third-content">
                    <h6 class="text-secondary pb-3">2018</h6>
                    <h4>Create professional invoices</h4>
                    <p class="mt-2 mb-4">Use drag & drop to create templates in minutes.</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/validate.png')" />
                </div>
            </div>
            <div class="timeline-item right">
                <div class="content four-content">
                    <h6 class="text-secondary pb-3">2019</h6>
                    <h4>Find the latest news in automotive industry</h4>
                    <p class="mt-2 mb-4">Read helpful, informative car reviews</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/Koli.png')" />
                </div>
            </div>
            <div class="timeline-item left">
                <div class="content five-content">
                    <h6 class="text-secondary pb-3">2018</h6>
                    <h4>Employee Monitoring Software</h4>
                    <p class="mt-2">Track and improve employee productivity</p>
                    <p class="mt-2 mb-4">Manage projects and tickets</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/infomail.png')" />
                </div>
            </div>
            <div class="timeline-item right">
                <div class="content six-content">
                    <h6 class="text-secondary pb-3">2017</h6>
                    <h4>Form Editor</h4>
                    <p class="mt-2 mb-4">Use drag & drop to create HTML embedded form in minutes</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/editor-2.png')" />
                </div>
            </div>
            <div class="timeline-item left">
                <div class="content sevent-content">
                    <h6 class="text-secondary pb-3">2017</h6>
                    <h4>Automation monitor</h4>
                    <p class="mt-2 mb-4">Use drag & drop to create campaings and varios contact actions</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/editor-1.png')" />
                </div>
            </div>
            <div class="timeline-item right">
                <div class="content eight-content">
                    <h6 class="text-secondary pb-3">2016</h6>
                    <h4>Tabellarius Software</h4>
                    <p class="my-2">Complete email marketing campaign automations tool</p>
                    <p class="mb-4">Powerful builders included (Email Templates, Form Templates)</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/newsmarket.png')" />
                </div>
            </div>
            <div class="timeline-item left">
                <div class="content nine-content">
                    <h6 class="text-secondary pb-3">2015</h6>
                    <h4>Select PR from all around the word</h4>
                    <p class="mt-2 mb-4">Built-in media monitoring</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/getPR.png')" />
                </div>
            </div>
            <div class="timeline-item right">
                <div class="content ten-content">
                    <h6 class="text-secondary pb-3">2015</h6>
                    <h4>One of my first build websites</h4>
                    <p class="mt-2 mb-4">Full-stack build with backend CMS and blog system</p>
                    <div class="project-image" style="background: linear-gradient(rgba(30, 31, 38, 0.8), rgba(30, 31, 38, 0.8)), url('/images/projects/tabellariusMK.png')" />
                </div>
            </div>
        </div>
    </section>
</template>
<style scooped>
    .right .project-image {
        position: absolute;
        width: 300px;
        height: 100%;
        top: 0px;
        left: 10px;
        bottom: 0px;
        z-index: -1;
        border-radius: 10px;
        background-position: center center;
        background-size: cover;
    }

    .left .project-image {
        position: absolute;
        width: 300px;
        height: 100%;
        top: 0px;
        right: 10px;
        bottom: 0px;
        z-index: -1;
        border-radius: 10px;
        background-position: center center;
        background-size: cover;
    }
    #demos {
        height: 100%;
        width: 100%;
        position: relative;
        z-index: 2;
        background-image: linear-gradient(180deg, rgba(19, 20, 23, 1) 10%, rgba(255, 255, 255, 0) 50%, rgba(30, 31, 38, 1) 90%), url("/images/filter.jpg");
        background-position: center;
        background-position: 57% 50%;
        margin-top: 200px;
    }

    .timeline {
        width: 100%;
    }

    /* The actual timeline (the vertical ruler) */
    .timeline {
        position: relative;
        margin: 0 auto;
    }

    /* The actual timeline (the vertical ruler) */
    .timeline::after {
        content: "";
        position: absolute;
        width: 6px;
        background-color: white;
        top: 0;
        bottom: 0;
        left: 50%;
        margin-left: -3px;
    }

    /* Container around content */
    .timeline-item {
        padding: 10px 40px;
        position: relative;
        background-color: inherit;
        width: 50%;
    }

    /* The circles on the timeline */
    .timeline-item::after {
        content: "";
        position: absolute;
        width: 25px;
        height: 25px;
        right: -13px;
        background-color: white;
        border: 4px solid #ff9f55;
        top: 15px;
        border-radius: 50%;
        z-index: 1;
    }

    /* Place the container to the left */
    .left {
        left: 0;
        text-align: right;
    }

    /* Place the container to the right */
    .right {
        left: 50%;
    }

    /* Add arrows to the left container (pointing right) */
    .left::before {
        content: " ";
        height: 0;
        position: absolute;
        top: 17px;
        width: 0;
        z-index: 1;
        right: 30px;
        border: medium solid white;
        border-width: 10px 0 10px 10px;
        border-color: transparent transparent transparent white;
    }

    /* Add arrows to the right container (pointing left) */
    .right::before {
        content: " ";
        height: 0;
        position: absolute;
        top: 17px;
        width: 0;
        z-index: 1;
        left: 30px;
        border: medium solid white;
        border-width: 10px 10px 10px 0;
        border-color: transparent white transparent transparent;
    }

    /* Fix the circle for containers on the right side */
    .right::after {
        left: -13px;
    }

    /* The actual content */
    .content {
        padding: 20px 30px;
        position: relative;
        border-radius: 6px;
        color: white;
    }
    .content p {
        color: silver;
    }

    .content a {
        cursor: pointer;
        background: white;
        border-radius: 20px;
        padding: 5px 10px;
        text-decoration: none;
        color: #131417;
        font-weight: bold;
        font-size: 12px;
    }

    .content a:active,
    .content a:focus,
    .content a:hover {
        text-decoration: none;
    }

    .content .image {
        position: absolute;
        top: 0px;
        left: -20px;
    }

    /* Media queries - Responsive timeline on screens less than 600px wide */
    @media screen and (max-width: 600px) {
        /* Place the timelime to the left */
        .timeline::after {
            left: 31px;
        }

        /* Full-width containers */
        .timeline-item {
            width: 100%;
            padding-left: 70px;
            padding-right: 25px;
        }

        /* Make sure that all arrows are pointing leftwards */
        .timeline-item::before {
            left: 60px;
            border: medium solid white;
            border-width: 10px 10px 10px 0;
            border-color: transparent white transparent transparent;
        }

        /* Make sure all circles are at the same spot */
        .left::after,
        .right::after {
            left: 15px;
        }

        /* Make all right containers behave like the left ones */
        .right {
            left: 0%;
        }
    }
</style>
